﻿package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/model"
	"xorm.io/xorm"
)

type MediumDao interface {
	GetMediumByUsername(username string) (medium *model.Medium, err error)
	MediumInsert(m *model.Medium) (int64, error)
	MediumDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	UpdateMedium(m *model.Medium, columns ...string) (int64, error)
}
